/*
	CVSNT Helper application API
    Copyright (C) 2004-5 Tony Hoyle and March-Hare Software Ltd

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License version 2.1 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef ENUMSERVER__H
#define ENUMSERVER__H

class CEnumServer
{
public:
	struct reposStruct
	{
		cvs::filename name;
		cvs::string description;
		bool isdefault;
		bool publish;
	};

	CVSTOOLS_EXPORT CEnumServer() { }
	CVSTOOLS_EXPORT virtual ~CEnumServer() { }

	CVSTOOLS_EXPORT bool Open(const char *server, const char *port);
	CVSTOOLS_EXPORT const reposStruct *EnumRepositories(bool& first);
	CVSTOOLS_EXPORT const char *EnumProtocols(bool& first);
	CVSTOOLS_EXPORT const char *GetDefaultProtocol() { return m_default_protocol.c_str(); }
	CVSTOOLS_EXPORT const char *GetAnonymousProtocol() { return m_anon_protocol.c_str(); }
	CVSTOOLS_EXPORT const char *GetAnonymousUsername() { return m_anon_username.c_str(); }
	CVSTOOLS_EXPORT const char *GetServerName() { return m_server_name.c_str(); }
	CVSTOOLS_EXPORT const char *GetServerVersion() { return m_server_version.c_str(); }
	CVSTOOLS_EXPORT bool GetDefaultRepository(reposStruct& rep) { if(!m_default_repository.size() || !m_reps.size()) return false; rep = m_reps[m_default_repository]; return true; }


protected:
	typedef std::map<cvs::string, reposStruct> reps_t;
	typedef std::map<cvs::string, int> prots_t;
	reps_t m_reps;
	prots_t m_prots;
	cvs::string m_server_version;
	cvs::string m_server_name;
	cvs::string m_default_repository;
	cvs::string m_anon_username;
	cvs::string m_anon_protocol;
	cvs::string m_default_protocol;

	reps_t::const_iterator m_ir;
	prots_t::const_iterator m_ip;
};

#endif
