#!/bin/sh
BRANCH=CVSNT_2_0_x
PATH=/cygdrive/d/cvsbin:${PATH}:/cygdrive/c/"program files"/winzip:/cygdrive/c/"Program Files"/PuTTY:/cygdrive/d/cvsbin/keep
rm -rf cvsnt
INCLUDE="/cvsdeps/openssl/include;/cvsdeps/iconv/include"
LIB="/cvsdeps/openssl/lib;/cvsdeps/iconv/lib"
cvs -d :pserver:tmh@cvs.cvsnt.org:/usr/local/cvs co -r $BRANCH cvsnt
devenv.com /rebuild release cvsnt/cvsnt.sln
BUILD=`cvsnt/winrel/cvs.exe ver -q`
echo Build=$BUILD
echo $BUILD >cvsnt/doc/version.inc
TAG=CVSNT_`echo $BUILD | sed 's/\./_/g'`
echo Tag=$TAG
cd cvsnt
perl.exe /cvsdeps/cvs2cl/cvs2cl.pl -F $BRANCH --window 3600
cvs -q commit -m "Build $BUILD"
winrel/cvs.exe tag -F $TAG
cd doc
build.bat cvs
cd ../..
rm -f ../*
rm -f ../pdb/*
rm -f ../lib/*
rm -f ../inc/*
rm -f ../inc/win32/*
if [ -f ../cvsapi.dll ]; then
  echo Cannot build due to locked files!
  read
  exit 1
fi
if [ -f ../cvslock.exe ]; then
  echo Cannot build due to locked files!
  read
  exit 1
fi
if [ -f ../cvstools.dll ]; then
  echo Cannot build due to locked files!
  read
  exit 1
fi
cp cvsnt/winrel/*.exe ..
cp cvsnt/winrel/*.dll ..
cp cvsnt/winrel/cvsnt.cpl ..
cp cvsnt/*.ini ..
cp cvsnt/src/infolib.h ..
cp cvsnt/relnotes.rtf ..
cp cvsnt/ca.pem ..
cp cvsnt/COPYING ..
cp cvsnt/winrel/*.pdb ../pdb
cp cvsnt/doc/*.chm ..
cp cvsnt/winrel/cvsapi.lib ../lib
cp cvsnt/winrel/cvstools.lib ../lib
cp cvsnt/cvstools/*.h ../inc
cp cvsnt/cvstools/win32/*.h ../inc/win32
cp cvsnt/cvsapi/*.h ../inc
cp cvsnt/cvsapi/win32/*.h ../inc/win32
cd cvsnt/installer
nmake
mv cvsnt-${BUILD}.msi ../../..
cd ../../..
wzzip cvsnt-${BUILD}-bin.zip *.dll *.exe *.cpl *.ini ca.pem infolib.h COPYING
wzzip cvsnt-${BUILD}-pdb.zip pdb
cp keep/*.* .
echo ${BUILD} >release
pscp -i d:/tony.ppk *.zip cvsnt-${BUILD}.msi cvs.chm release tmh@sisko:/home/tmh/cvs
